| time-1.1.4: A time library | Source code | Contents | Index

Data.Time.Calendar.MonthDay

Synopsis

monthAndDayToDayOfYear :: Bool -> Int -> Int -> Int
monthAndDayToDayOfYearValid :: Bool -> Int -> Int -> Maybe Int
dayOfYearToMonthAndDay :: Bool -> Int -> (Int, Int)
monthLength :: Bool -> Int -> Int

Documentation

monthAndDayToDayOfYear :: Bool -> Int -> Int -> Int | Source

convert month and day in the Gregorian or Julian calendars to day of year. First arg is leap year flag

monthAndDayToDayOfYearValid :: Bool -> Int -> Int -> Maybe Int | Source

convert month and day in the Gregorian or Julian calendars to day of year. First arg is leap year flag

dayOfYearToMonthAndDay :: Bool -> Int -> (Int, Int) | Source

convert day of year in the Gregorian or Julian calendars to month and day. First arg is leap year flag

monthLength :: Bool -> Int -> Int | Source

the length of a given month in the Gregorian or Julian calendars. First arg is leap year flag
Produced by Haddock version 2.4.2